#include <cstdlib>                           // für exit()
#include <fstream>
#include <iostream>
#include <string>
using namespace std;

int main()
{
  string dateiname {"unbekannt"};
  cout << "Quelldatei? ";
  cin >> dateiname;
  ifstream quelle(dateiname, ios::binary);   // Objekt für die Eingangsdatei
                                             // Zu ios::binary siehe Text unten
  if (!quelle.good()) {                      // Fehlerabfrage
    cerr << dateiname << " kann nicht geöffnet werden!\n";
    exit(-1);
  }

  cout << "Zieldatei? ";
  cin >> dateiname;                          // ohne Leerzeichen!
  ofstream ziel(dateiname, ios::binary);     // Definieren und Öffnen der Ausgabedatei
  if (!ziel.good()) {                        // Fehlerabfrage
    cerr << dateiname << " kann nicht geöffnet werden!\n";
    exit(-1);
  }

  char ch {'?'};
  while (quelle.get(ch)) {
    ziel.put(ch);                            // zeichenweise kopieren
  }
}          // Dateien werden am Programmende automatisch geschlossen.

