#include <ranges>
#include <iostream>
#include <vector>
//  std::ranges hat die bekannten Funktionen wie begin() usw

int main()
{
  const std::vector<int> vec { 10, 1, 6, 1, 7, 2, 12, 3};
  for (auto iter = std::ranges::begin(vec);
       iter != std::ranges::end(vec); ++iter) {
    std::cout << *iter << '\n';
  }
  std::cout << "Anzahl    : " << std::ranges::size(vec) << '\n';
  std::cout << "1. Element: " << *std::ranges::data(vec) << '\n';
}
