#include <iostream>
// mit zusätzlicher Funktion, die auf jeden Parameter angewendet wird

int verdoppeln(int x) { return x *= 2; }

template <typename T, typename... Args>
int addiere_auf_anfangswert(T anfangswert, Args... args)
{
  return (verdoppeln(args) + ... + anfangswert);
}

int main() 
{ 
  std::cout << addiere_auf_anfangswert(10, 1, 2, 3, 4) << '\n'; 
}
