#include <chrono>
#include <iostream>
#include <thread>

void f(std::stop_token token, const std::string& text)
{
  int laufzeit {0};
  while(!token.stop_requested()) {
    std::this_thread::sleep_for(std::chrono::seconds(1));
    std::cout << text << " Laufzeit = " << ++laufzeit << " s\n";
  }
  std::cout << "Thread " << std::this_thread::get_id() << " beendet!\n";
}
using namespace std;

int main()
{
  jthread einThread(f, "Thread bei der Arbeit."); 
  this_thread::sleep_for(chrono::seconds(3));
  cout << "main() ist beendet\n";
}
