#include <Random.h>
#include <algorithm>
#include <showContainer.h>
#include <vector>
using namespace std;

int main()
{
  vector<int> v;
  Random zufall(1000);
  for (int i = 0; i < 20; ++i) {
    v.push_back(zufall());
  }
  showContainer(v);
  int gesucht{383};
  cout << "Es sind " << ranges::count(v, gesucht)
       << " Elemente mit dem Wert " << gesucht << " vorhanden.\n";
  cout << "Es sind " << ranges::count_if(v, [](int z) { return z % 2 != 0; })
       << " ungerade Elemente vorhanden.\n";
}
