#include <iostream>

class Beispiel {
public:
  explicit Beispiel(int i = 0)                       // Konstruktor
      : zahl{i}
  {
    std::cout << "Objekt " << zahl << " wird erzeugt.\n";
  }

  ~Beispiel()                               // Destruktor
  {
    std::cout << "Objekt " << zahl << " wird zerstört.\n";
  }

private:
  int zahl;
};

Beispiel ein_globales_Beispiel;  // globale Variable, durch Vorgabewert mit 0 initialisiert

int main()
{
  std::cout << "main wird begonnen\n";
  Beispiel beispiel1(1);
  {
    std::cout << "    neuer Block\n    ";
    Beispiel beispiel2(2);
    std::cout << "    Block wird verlassen\n    ";
  }
  std::cout << "main wird verlassen\n";
}
