#ifndef MEINSTRING_H
#define MEINSTRING_H
#include <iostream>          // ostream
#include <vector>

class MeinString {
public:
  explicit MeinString(const char* str = "");                       // allg. Konstruktor
  MeinString& assign(const char*);                                 // Zuweisung eines char*
  const char& at(int position) const;                              // Zeichen holen
  char& at(int position);                                          // Zeichen holen
  int length() const { return daten.size() - 1; }                  // Anzahl der Zeichen
  const char* c_str() const { return daten.data(); }               // C-String zurückgeben
  void swap(MeinString&);                                          // vertauschen
  // Zur Aufgabe:
  void insert(int pos, const MeinString& m);
private:
  std::vector<char> daten;
};

void anzeigen(std::ostream& os, const MeinString& m);

#endif

