#include <iostream>

template <typename... Args, typename Func>
void f6(Func f, Args&... args)
{ 
  (f(args), ...); 
}

int main()
{
  int i1{1};
  int i2{7};
  f6(
    [](auto& el) { el *= 2; },              // Lambda-Funktion
    i1, i2);
  std::cout << i1 << ' ' << i2 << '\n';     // 2 14
}
