#include <iostream>
#include <numeric>
#include <string>
#include <vector>
using namespace std;

int main()
{
  vector<int> v(10);
  iota(v.begin(), v.end(), 1);
  cout << "Summe = " << accumulate(v.begin(), v.end(), 0)  << '\n';  // 55
  cout << "Produkt = "
       << accumulate(v.begin(), v.end(), 1L, multiplies<long>())     // 3628800
       << '\n'; 
  // accumulate() mit string:
  vector<string> vstr(26);
  iota(vstr.begin(), vstr.end(), 'A');             // Vektor mit Buchstaben füllen
  cout << accumulate(vstr.begin(), vstr.end(), string("Alphabet: ")) << '\n';
                                      // Alphabet: ABCDEFGHIJKLMNOPQRSTUVWXYZ
}

