#include <filesystem>
#include <iostream>

int main(int argc, char* argv[])
{
  if (argc != 2) {
    std::cout << "Datei oder leeres Verzeichnis loeschen. Gebrauch: "
              << argv[0] << " name\n";
  }
  else {
    try {
      if(std::filesystem::remove(std::filesystem::path(argv[1]))) {
        std::cout << argv[1] << " geloescht\n";
      }
      else {
        std::cout << argv[1] << " existiert nicht\n";
      }
    } catch(const std::exception& e) {
      std::cerr << e.what() << '\n';
    }
  }
}
