#include <fstream>
#include <iostream>
#include <locale>
#include <string>
using namespace std;

int main()
{
  locale dt("de_DE.utf-8");
  locale::global(dt);          // dt fuer alles setzen
  wstring ws(L"ÄÖÜäöüß");
  wcout.imbue(dt);
  wcout << "Ausgabe mit wcout: " << ws << '\n';
  wcout << L"Länge=" << ws.length() << '\n';
  wcout << "sizeof(wchar_t): " << sizeof(wchar_t) << '\n';
  wofstream wdatei("ausgabe.txt");
  wdatei << "Ausgabe in wofstream: " << ws << '\n';
  for (unsigned int i = 0; i < ws.length(); ++i) {
    wdatei << "WZeichen " << i << ": " << ws[i] << '\n';
  }
  for (auto& wc : ws) {
    wc = toupper(wc, dt);
  }
  wcout << "nach toupper(): " << ws << '\n';
}

