// Beispiel quadratische Gleichung x*x+p*x+q = 0
// x1 = -p/2 + sqrt(p*p/4-q), x2 = -p/2 - sqrt(p*p/4-q)
#include <cmath>
#include <complex>
#include <iostream>
using namespace std;

int main()
{
  cout << "Quadratische Gleichung x*x+p*x+q = 0\n"
       << "Koeffizienten p, q eingeben:";
  double p{0.0};
  double q{0.0};
  cin >> p >> q;
  double Diskriminante = p * p / 4.0 - q;

  cout << "Lösung :\n";
  if (Diskriminante >= 0.0) {
    double x1 = -p / 2.0 + sqrt(Diskriminante);
    double x2 = -p / 2.0 - sqrt(Diskriminante);
    cout << "x1= " << x1 << "   x2= " << x2 << '\n';
  }
  else {
    complex<double> ergebnis(-p / 2, sqrt(-Diskriminante));
    cout << "x1 = " << ergebnis;
    cout << "\nx2 = " << conj(ergebnis) << '\n';
  }
}

